//
//  YHLiveModel.swift
//  galaxy
//
//  Created by EDY on 2024/11/28.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

class YHLiveModel: SmartCodable {
    var id: Int = 0
    var account: String = ""
    var avatar: String = ""
    var status: Int = 0
    var room_id: String = ""
    var pull_url: String = ""
    var live_image: String = ""
    var live_title: String = ""
    required init() {
        
    }
}

class YHLiveListModel: SmartCodable {
    var live_id: Int = 0
    var title: String = ""
    var avatarurl: String = ""
    var status: Int = 0
    var start_time: String = ""
    var account: String = ""
    var image: String = ""
    var is_schedule_live: Bool = false
    required init() {
    }
}

class YHLiveListDataModel: SmartCodable {
    var live_list: [YHLiveListModel] = []
    required init() {
    }
}
