//
//  YHGCWorkModel.swift
//  galaxy
//
//  Created by EDY on 2024/12/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

class YHGCWorkModel: SmartCodable {
    var count: Int?
    // 高才使用 是否有工作时间重叠期 0-否 1-是
    var has_work_time_overlap: Int = 0
    var has_work_time_empty: Int = 0
    var work_time_overlap_remark: String = "" //重叠期
    var work_time_empty_remark: String = ""   //空窗期
    var agree_work_doc_url: String = ""
    
    var has_company_consent: Int = 0 //高才使用 在职公司是否可以提供赴港同意书 0 未知 1 是 2 否
    var consent_work_id: Int = 0 //高才使用 可以提供赴港同意书的工作经历id
    var has_center_consent: Int = 0 //高才使用 人才中心是否可以提供赴港同意书 0 未知 1 是 2 否
    var why_work_time_overlap: String = "" //高才使用 关于工作时间重叠的说明
    var has_work_experience: Int = 0 //高BC使用 是否有工作经历 0.未知 1.是 2.否
    var is_consent_required: Int = 0 //高才使用 是否必须提供赴港同意书 0-否 1-是
    var consent_template_url: String = ""
    var list: [YHWorkItemListModel]?
    required init() {
    }
}


